Bug 25633 - Update debian/control.ini file for 20.05 release cycle
Summary: Update debian/control.ini file for 20.05 release cycle
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P1 - high blocker (vote)
Assignee: Mason James
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24167
  Show dependency treegraph
 
Reported: 2020-06-01 03:56 UTC by Mason James
Modified: 2020-10-06 13:48 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07


Attachments
Bug 25633: Update debian/control.ini file for 20.05 release cycle (704 bytes, patch)
2020-06-01 04:01 UTC, Mason James
Details | Diff | Splinter Review
Bug 25663: [20.05.x] Koha::RefundLostItemFeeRules should be merged into Koha::CirculationRules (31.39 KB, patch)
2020-10-06 11:07 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2020-06-01 03:56:55 UTC
This patch updates the debian/control.ini file for the 20.05 release cycle
Comment 1 Mason James 2020-06-01 04:01:34 UTC
Created attachment 105451 [details] [review]
Bug 25633: Update debian/control.ini file for 20.05 release cycle

update maintainer details
Comment 2 Jonathan Druart 2020-06-02 13:22:34 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 3 Lucas Gass 2020-06-17 20:46:02 UTC
backported to 20.05.x for 20.05.01
Comment 4 Aleisha Amohia 2020-06-17 21:54:11 UTC
backported to 19.11.x for 19.11.07 as recommended for Bug 22522
Comment 5 Victor Grousset/tuxayo 2020-06-18 18:19:19 UTC
Not backported, it's not relevant to 19.05.x
🏖️🍹
Comment 6 Nick Clemens 2020-10-06 11:07:00 UTC
Created attachment 111281 [details] [review]
Bug 25663: [20.05.x] Koha::RefundLostItemFeeRules should be merged into Koha::CirculationRules

Bug 25663: Add unit tests

This patch adds unit tests for a new get_lostretun_policy method which
is getting added to Koha::CirculationRules.

Test plan:
1/ Read the additions to t/db_dependent/CirculationRules.t code
   and compare to the t/db_dependent/RefundLostItemFeeRule.t.
2/ Run the test after applying the patch that adds the new method
3/ If the tests all pass, signoff

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Bug 25663: Add get_lostreturn_policy method to CirculationRules

This patch adds a new get_lostreturn_policy method to
Koha::CirculationRules which returns a boolean to the caller which
denotes whether a refund should be applied or not on the return of
a lost item.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Bug 25663: Remove Koha::RefundLostItemFeeRule and uses

This patch replaces all calls to RefundLostItemFeeRules with
Koha::CirculationRules->get_lostreturn_policy and removes the module it
makes redundant.

Test plan
1/ Confirm that there are no longer any uses of RefundLostItemFeeRules
in the codebase
2/ Confirm circulation tests still all pass
3/ Confirm you can still set and unset the lost return rules
4/ Signoff

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>